Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.configuration
Class ConfigurationAction

    java.lang.Object
      ActionSupport
          com.atlassian.bamboo.ww2.BambooActionSupport
              com.atlassian.bamboo.webwork.AbstractAction
                  com.atlassian.bamboo.configuration.AbstractLicenseAction
                      com.atlassian.bamboo.configuration.AbstractConfigurationAction
                          com.atlassian.bamboo.configuration.ConfigurationAction

All Implemented Interfaces:
  ErrorCollection, BambooSessionAware, ReturnUrlAware

    public class ConfigurationAction

extends AbstractConfigurationAction

This class handles configuration updates from am web form

Field Summary

Fields inherited from class com.atlassian.bamboo.configuration.AbstractConfigurationAction
`SETUP_MARKER`

Fields inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`buildManager, CONFIRM, cookieCutter`

Constructor Summary
`ConfigurationAction()`

Method Summary
`String` | `doDefault()` Populate the form with the existing configuration data.
`String` | `doExecute()` Update the system with the adimistration configuration.

Methods inherited from class com.atlassian.bamboo.configuration.AbstractConfigurationAction
`customPostProcess, getAcceptRemoteApiCalls, getBaseUrl, getBuildDirectory, getBuilderManager, getDefaultBaseUrl, getEmailSubjectPrefix, getFilePersister, getFromEmailAddress, getGzipCompression, getRepositoryPollingPeriod, getSmtpServer, setAcceptRemoteApiCalls, setBaseUrl, setBuildDirectory, setBuilderManager, setEmailSubjectPrefix, setFromEmailAddress, setGzipCompression, setRepositoryPollingPeriod, setSmtpServer, validate`

Methods inherited from class com.atlassian.bamboo.configuration.AbstractLicenseAction
`getLicense, setLicense`

Methods inherited from class com.atlassian.bamboo.webwork.AbstractAction
`addFormErrors, execute, getAction, getAdministrationConfiguration, getBamboo, setAdministrationConfiguration`

Methods inherited from class com.atlassian.bamboo.ww2.BambooActionSupport
`addError, addError, addErrorCollection, addErrorMessage, addErrorMessages, addErrors, addIllegalArgumentException, doesLabelKeyHaveMatchingDescription, getAsPreformattedText, getBambooSession, getBreadCrumbs, getBuildManager, getConglomerateCookieValue, getCookieCutter, getCookieValue, getCurrentUrl, getDescriptionFromLabelKey, getFlushedErrorMessages, getReturnUrl, getUser, getWebItemsForSection, getWebResourceManager, getWebSectionsForLocation, hasAnyErrors, hasBuilds, hasPerm, isEnableSignup, isSelectFieldAndNull, setAuthenticationContext, setBambooPermissionManager, setBuildManager, setCookieCutter, setErrorMessages, setHtmlUtils, setReturnUrl, setWebInterfaceManager, setWebResourceManager`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.atlassian.bamboo.utils.error.ErrorCollection
`getErrorMessages, getErrors, getFieldErrors`

Constructor Detail

### ConfigurationAction

    public ConfigurationAction()

Method Detail

### doDefault

    public String doDefault()
                     throws Exception

  Populate the form with the existing configuration data.

  Overrides:
    `doDefault` in class `AbstractAction`
  Returns:
    Webwork success status
  Throws:
    `Exception` - Generic exception

### doExecute

    public String doExecute()
                     throws Exception

  Description copied from class: `AbstractConfigurationAction`
  Update the system with the adimistration configuration.

  Overrides:
    `doExecute` in class `AbstractConfigurationAction`
  Returns:
    WebWork status
  Throws:
    `Exception` - something nasty went wrong

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.